package com.yunzhi.shigongli.common;

public class Constants {
    // 基本状态
    public final static Integer STATUS_DELETED = -1;
    public final static Integer STATUS_READY = 0;
    public final static Integer STATUS_NORMAL = 1;

    // 订单状态
    public final static Integer ORDER_READY = 0;    // 未支付
    public final static Integer ORDER_PAYED = 1;    // 已支付
    public final static Integer ORDER_REFUND = 2;   // 已退款
    public final static Integer ORDER_CANCEL = 9;   // 已取消

    // 支付结果
    public final static Integer PAY_SUCCESS = 1;
    public final static Integer PAY_FAIL = 0;

    // 抽成分类
    public final static String COMMISSION_TRAFFIC = "traffic";  // 引流抽成
    public final static String COMMISSION_PLATFORM = "platform";  // 平台抽成

    // 平台账户ID
    public final static String SYSTEM_ACCOUNT_ID = "sys_plat";

    // 账户流水
    public final static Integer ACCOUNT_INCOME = 1;     // 收入
    public final static Integer ACCOUNT_EXPENSE = -1;   // 支出

    // 账户金额类型
    public final static String ACCOUNT_CASHBACK = "cashback";       // 返现
    public final static String ACCOUNT_COMMISSION = "commission";   // 抽成
    public final static String ACCOUNT_SETTLEMENT = "settlement";   // 佣金结算

    // 系统模块
    public final static String TARGET_ORDER = "order";  // 订单
    public final static String TARGET_HOTEL = "hotel";  // 民宿
    public final static String TARGET_SHOP = "shop";    // 商铺

    // 推荐人类型
    public final static String RECOMMEND_SHOP = "shop";     // 商铺
    public final static String RECOMMEND_HOTEL = "hotel";   // 民宿

    // 系统参数
    public final static String CONF_HOTEL_RECOMMEND_VALID_DAYS = "hotel_recommend_valid_days";      // 民宿推广客户有效时间
    public final static String CONF_SHOP_RECOMMEND_VALID_DAYS = "shop_recommend_valid_days";        // 商铺推广客户有效时间
}
