package com.yunzhi.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 点赞表
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaLike对象", description="点赞表")
public class TaLike implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "赞ID")
    @TableId(value = "like_id", type = IdType.AUTO)
    private Integer likeId;

    @ApiModelProperty(value = "赞对象类型")
    private String targetType;

    @ApiModelProperty(value = "赞对象ID")
    private String targetId;

    @ApiModelProperty(value = "点赞人")
    private String personId;

    @ApiModelProperty(value = "点赞时间")
    private LocalDateTime createDate;


}
