package com.yunzhi.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 小程序人员表
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaPersonRole对象", description="小程序人员角色表")
public class TaPersonRole implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "角色序号")
    @TableId(value = "role_no", type = IdType.AUTO)
    private Integer roleNo;

    @ApiModelProperty(value = "人员ID")
    private String personId;

    @ApiModelProperty(value = "用户ID")
    private String userId;

    @ApiModelProperty(value = "是否管理员")
    private Integer isManager;

    @ApiModelProperty(value = "映射类型")
    private String targetType;

    @ApiModelProperty(value = "类型对象ID")
    private String targetId;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

}
