package com.yunzhi.shigongli.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 商铺套餐
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaShopPackage对象", description="商铺套餐")
public class TaShopPackage implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "套餐ID")
    @TableId(value = "package_id", type = IdType.UUID)
    private String packageId;

    @ApiModelProperty(value = "商铺ID")
    private String shopId;

    @ApiModelProperty(value = "类型")
    private String packageCategory;

    @ApiModelProperty(value = "描述")
    private String description;

    @ApiModelProperty(value = "适用人数")
    private Integer personNum;

    @ApiModelProperty(value = "主图")
    private String poster;

    @ApiModelProperty(value = "门市价格,单位分")
    private Integer standardPrice;

    @ApiModelProperty(value = "实售价格,单位分")
    private Integer actualPrice;

    @ApiModelProperty(value = "返现,单位分")
    private Integer cashback;

    @ApiModelProperty(value = "有效期始")
    private LocalDateTime startTime;

    @ApiModelProperty(value = "有效期止")
    private LocalDateTime endTime;

    @ApiModelProperty(value = "权重")
    private Integer weight;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


}
