package com.yunzhi.shigongli.service;

import com.baomidou.mybatisplus.core.toolkit.support.SFunction;
import com.baomidou.mybatisplus.extension.service.IService;

import java.io.Serializable;
import java.util.List;

public interface IBaseService<T> extends IService<T> {
    /**
     * 逻辑删除
     * @param id
     * @return
     */
    boolean removeLogicById(Serializable id);

    /**
     * 依据字段值获取列表
     * @param column
     * @param val
     * @return
     */
    List<T> getBy(SFunction<T, ?> column, Serializable val);

    /**
     * 是否存在, 校验唯一
     * @param column
     * @param val
     * @return
     */
    boolean isExisted(SFunction<T, ?> column, Serializable val);

    /**
     * 排除 notVal 的条件下是否存在
     * @param column
     * @param val
     * @param notEq
     * @param notVal
     * @return
     */
    boolean isExisted(SFunction<T, ?> column, Serializable val, SFunction<T, ?>  notEq, Serializable notVal);
}
