package com.yunzhi.shigongli.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.TableInfo;
import com.baomidou.mybatisplus.core.toolkit.support.SFunction;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.extension.toolkit.SqlHelper;
import com.yunzhi.shigongli.service.IBaseService;

import java.io.Serializable;
import java.util.List;
import java.util.function.Supplier;

public class BaseServiceImpl <M extends BaseMapper<T>, T> extends ServiceImpl <M, T> implements IBaseService<T> {
    @Override
    public boolean removeLogicById(Serializable id) {

        TableInfo tableInfo = SqlHelper.table(currentModelClass());
        UpdateWrapper<T> updateWrapper = new UpdateWrapper<>();
        updateWrapper.set("status", -1)
                .eq(tableInfo.getKeyColumn(), id);

        return update(updateWrapper);
    }

    @Override
    public List<T> getBy(SFunction<T, ?> column, Serializable val) {
        LambdaQueryWrapper<T> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(column, val);

        return list(queryWrapper);
    }

    @Override
    public boolean isExisted(SFunction<T, ?> column, Serializable val) {
        return isExisted(column, val, (SFunction<T, ?>) null, null);
    }

    @Override
    public boolean isExisted(SFunction<T, ?> column, Serializable val, SFunction<T, ?> notEq, Serializable notVal) {
        LambdaQueryWrapper<T> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(column, val);
        queryWrapper.ne(null != notVal, notEq, notVal);

        int cnt = count(queryWrapper);
        return cnt > 0;
    }
}
