package com.yunzhi.shigongli.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaShop;
import com.yunzhi.shigongli.entity.TaShopAccount;
import com.yunzhi.shigongli.mapper.TaShopAccountMapper;
import com.yunzhi.shigongli.mapper.TaShopMapper;
import com.yunzhi.shigongli.service.ITaShopService;

import com.yunzhi.shigongli.vo.ShopListVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 * 商铺 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Service
public class TaShopServiceImpl extends BaseServiceImpl<TaShopMapper, TaShop> implements ITaShopService {

    @Autowired
    TaShopMapper taShopMapper;

    @Autowired
    TaShopAccountMapper taShopAccountMapper;

    @Override
    public IPage<ShopListVO> getPageListBy(IPage<ShopListVO> pg, String shopName, String phone) {
        return taShopMapper.getPageListBy(pg, shopName, phone);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void createNew(TaShop taShop) throws Exception {
        save(taShop);

        TaShopAccount account = new TaShopAccount();
        account.setShopId(taShop.getShopId());

        taShopAccountMapper.insert(account);
    }
}
